picard.annotation

## Class AnnotationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picard.PicardException
        - - picard.annotation.AnnotationException

- All Implemented Interfaces:
    Serializable

      public class AnnotationException
      extends PicardException

  Exception thrown when loading gene annotations. It is expected that there will be inconsistencies in annotation files, such that these exceptions may be reported but not cause program termination.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationException(String message)`
    `AnnotationException(String message, Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationException

          public AnnotationException(String message)

    - #### AnnotationException

          public AnnotationException(String message,
                                     Throwable throwable)